Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

pyxfce

  • Loading branch information...
commit 403431d9a21451d838ac8aaa283be02e9a2fab0e 1 parent 5d32350
@k0Do authored
View
BIN  pyxfce/pyxfce-4.6.0-1.fc14.x86_64.rpm
Binary file not shown
View
BIN  pyxfce/pyxfce-debuginfo-4.6.0-1.fc14.x86_64.rpm
Binary file not shown
View
BIN  pyxfce/pyxfce-devel-4.6.0-1.fc14.x86_64.rpm
Binary file not shown
View
55 pyxfce/pyxfce.spec
@@ -0,0 +1,55 @@
+%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
+
+
+Name: pyxfce
+Version: 4.6.0
+Release: 1%{?dist}
+Summary: Xfce bindings for Python
+Group: Development/Languages
+License: BSD
+URL: http://pyxfce.xfce.org
+Source0: http://pyxfce.xfce.org/pyxfce-%{version}.tar.gz
+
+BuildRequires: libxfcegui4-devel
+BuildRequires: libxfce4menu-devel
+BuildRequires: python-devel
+BuildRequires: pygtk2-devel
+
+%description
+pyxfce are Xfce bindings for Python.
+You can use Python to create Xfce programs, after you installed pyxfce.
+
+%package devel
+Summary: Development files for building add-on libraries
+Group: Development/Languages
+Requires: %{name} = %{version}-%{release}
+
+%description devel
+This package contains files required to build wrappers for Xfce add-on
+libraries so that they interoperate with pyxfce.
+
+
+%prep
+%setup -q
+
+%build
+%configure
+make %{?_smp_mflags}
+
+%install
+%make_install
+
+
+%files
+%defattr(-,root,root,-)
+%doc README TODO COPYING ChangeLog AUTHORS
+%{python_sitearch}/xfce4/
+
+%files devel
+%{_datadir}/%{name}/
+%{_libdir}/pkgconfig/pyxfce-1.0.pc
+
+
+%changelog
+* Thu Jun 30 2011 Raphael Groner <raphgro-at-web.de> 4.6.0-1
+- Initial version
Please sign in to comment.
Something went wrong with that request. Please try again.